mscorlib 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Class | System.AttributeTargets.Constructor | System.AttributeTargets.Method | System.AttributeTargets.Property | System.AttributeTargets.Event | System.AttributeTargets.Parameter | System.AttributeTargets.Delegate | System.AttributeTargets.All) System.Diagnostics.Conditional("CONTRACTS_FULL")

Methods and types that are marked with this attribute can be used in calls to methods. Pure methods do not make any visible state changes. This attribute is not enforced by the current analysis tools; you should use this attribute only if you are sure that the methods are pure.

Indicates that a type or method is pure, that is, it does not make any visible state changes.

- Constructor
  4.0.0.0

  Initializes a new instance of the class.